spandsp 0.0.6

super_tone_rx_tests.c File Reference
`#include <inttypes.h>`
`#include <stdlib.h>`
`#include <stdio.h>`
`#include <fcntl.h>`
`#include <string.h>`
`#include <strings.h>`
`#include <ctype.h>`
`#include <time.h>`
`#include <sndfile.h>`
`#include "spandsp.h"`
`#include "spandsp-sim.h"`

## Macros
#define | SPANDSP_EXPOSE_INTERNAL_STRUCTURES
#define | IN_FILE_NAME "super_tone.wav"
#define | MITEL_DIR "../test-data/mitel/"
#define | BELLCORE_DIR "../test-data/bellcore/"
#define | SAMPLES_PER_CHUNK 160

## Functions
int | main (int argc, char *argv[])

## Variables
const char * | bellcore_files []
const char * | tone_names [20] = {NULL}
SNDFILE * | inhandle
super_tone_rx_segment_t | tone_segments [20][10]
super_tone_tx_step_t * | dialtone_tree = NULL
super_tone_tx_step_t * | ringback_tree = NULL
super_tone_tx_step_t * | busytone_tree = NULL
super_tone_tx_step_t * | nutone_tree = NULL
super_tone_tx_step_t * | congestiontone_tree = NULL
super_tone_tx_step_t * | waitingtone_tree = NULL
int | level

## Variable Documentation

## ◆ bellcore_files

const char* bellcore_files[]

Initial value:
=
{
"../test-data/mitel/" "mitel-cm7291-talkoff.wav",
"../test-data/bellcore/" "tr-tsy-00763-1.wav",
"../test-data/bellcore/" "tr-tsy-00763-2.wav",
"../test-data/bellcore/" "tr-tsy-00763-3.wav",
"../test-data/bellcore/" "tr-tsy-00763-4.wav",
"../test-data/bellcore/" "tr-tsy-00763-5.wav",
"../test-data/bellcore/" "tr-tsy-00763-6.wav",
""
}